import {  EventModel, Store } from '@bryntum/schedulerpro';

class Session extends EventModel {
    static get fields() {
      return [{ name: 'comments', type: 'store', storeClass: Store }];
    }
  }
  

export const schedulerConfig = {

    rowHeight        : 50,
    barMargin        : 4,
    eventColor       : 'indigo',

    columns: [
        {
            type          : 'resourceInfo',
            text          : 'Name',
            width         : 200,
        },
        {
            text    : 'Nbr tasks',
            editor  : false,
            renderer: data => `${data.record.events.length || ''}`,
            align   : 'center',
            width   : 100
        }
    ],

    project: {
        resourceStore: {
          syncDataOnLoad: true,
        },
        eventModelClass: Session,
        eventStore: {
          syncDataOnLoad: true,
          autoCommit: false,
        },
      },

      // PDF Export
  pdfExportFeature: {
    exportMask: 'Aufbereitung der Daten...',
    exportProgressMask: 'Konvertiere zu PDF', // This is not working!
    fileName: 'Planning',
    openInNewTab: true,
    repeatHeader: true,
    exportServer: 'http://localhost:8080',
    translateURLsToAbsolute: 'http://localhost:3000',
    clientURL: 'http://localhost:3000',

    keepPathName: false,
  },

    viewPreset: {
        base          : 'hourAndDay',
        columnLinesFor: 0,
        headers       : [
            {
                unit      : 'd',
                align     : 'center',
                dateFormat: 'ddd DD MMM'
            },
            {
                unit      : 'h',
                align     : 'center',
                dateFormat: 'HH'
            }
        ]
    },

    startDate: new Date(2025, 11, 1, 8),
    endDate  : new Date(2025, 12, 1, 18)
};
